<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:54 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BViewer (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BViewer (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BViewer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/BViewer.html" target="_top">Frames</a></li>
<li><a href="BViewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.board</div>
<h2 title="Class BViewer" class="title">Class BViewer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.board.BViewer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BViewer</span>
extends java.lang.Object
implements <a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></pre>
<div class="block">This class implements the interface Viewer in the preset package and represents a board viewer
 which observes a board object. It offers the possibility for the classes from other packages
 to get information from the board object without access to the board's private variables.
 <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a> provides the following information: the board's size, its current status, current turn, and
 what token, if any, is located on some particular field. The token in question must be an instance of the <a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> class.
 This <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a> clones the token located on the field in question if this field is not empty and delivers this clone to the caller.
 If the field is empty, null will be returned.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>15-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Anastasiia Kysliak</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board">SimpleBoard</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#board">board</a></span></code>
<div class="block">The <a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board"><code>SimpleBoard</code></a> object which has to be observed by this <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#BViewer-towerwarspp.board.SimpleBoard-">BViewer</a></span>(<a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board">SimpleBoard</a>&nbsp;board)</code>
<div class="block">Creates a new instance of the class <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#getSize--">getSize</a></span>()</code>
<div class="block">Returns the size of the observed board.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the current status of the observed board.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/board/BViewer.html#getTurn--">getTurn</a></span>()</code>
<div class="block">Returns the color of the player whose turn it is to make move.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="board">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board">SimpleBoard</a> board</pre>
<div class="block">The <a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board"><code>SimpleBoard</code></a> object which has to be observed by this <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a>.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BViewer-towerwarspp.board.SimpleBoard-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BViewer</h4>
<pre>public&nbsp;BViewer(<a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board">SimpleBoard</a>&nbsp;board)</pre>
<div class="block">Creates a new instance of the class <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - the viewable board object that has to be observed by this <a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board"><code>BViewer</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;int&nbsp;getSize()</pre>
<div class="block">Returns the size of the observed board.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Viewer.html#getSize--">getSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the size of the observed board.</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;getStatus()</pre>
<div class="block">Returns the current status of the observed board.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Viewer.html#getStatus--">getStatus</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current status of the observed board.</dd>
</dl>
</li>
</ul>
<a name="getTurn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTurn</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;getTurn()</pre>
<div class="block">Returns the color of the player whose turn it is to make move.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Viewer.html#getTurn--">getTurn</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the player whose turn it is to make move.</dd>
</dl>
</li>
</ul>
<a name="getEntity-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEntity</h4>
<pre>public&nbsp;<a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;getEntity(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</pre>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Viewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position of the token whose clone has to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a clone of the token located on the specified position on the board or null if the position is empty.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BViewer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/BViewer.html" target="_top">Frames</a></li>
<li><a href="BViewer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
